Bug 26093 - Human syntax не работает в etcnet для eth-интерфейсов
: Human syntax не работает в etcnet для eth-интерфейсов
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/etcnet)
: unstable
: all Linux
: P3 major
Assigned To:
:
:
:
:
: 23155
  Show dependency tree
 
Reported: 2011-08-16 20:54 by
Modified: 2014-12-01 17:49 (History)


Attachments
Патч, исправляющий ошибку (678 bytes, patch)
2012-12-19 16:30, Alexey V. Novikov
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-08-16 20:54:56
p6 с последними обновлениями на данный момент. Установлена минимальная
конфигурация.
Заходим с консоли как root
Делаем ifdown eth0 
Пишем в /etc/net/ifaces/default/options
CONFIG_FW=yes
Пишем в /etc/net/ifaces/default/fw/options
FW_TYPE="iptables"
IPTABLES_HUMAN_SYNTAX=yes
копируем директорию /etc/net/ifaces/default/fw/iptables в
/etc/net/ifaces/eth0/fw
Пишем в /etc/net/ifaces/eth0/fw/iptables/filter/FORWARD :
in-iface $NAME tcp dports 22,25,110 accept

Делаем ifup eth0
Получаем ошибки:
ERROR: /etc/net/scripts/config-fw: Human syntax is enabled but no syntax file
is loaded
ERROR: /etc/net/scripts/config-fw: /sbin/iptables -t filter -A FORWARD in-iface
$NAME tcp dports 22,25,110 accept

Этой ошибке уже больше года, см.
http://forum.altlinux.org/index.php?topic=7835.0
------- Comment #1 From 2011-08-30 15:11:15 -------
Проверил, у меня все работает в такой конфигурации. А с правами на файлы и их
содержимым проблем нет?

rpm -V etcnet что говорит?
------- Comment #2 From 2011-08-30 15:54:57 -------
(В ответ на комментарий №1)
> Проверил, у меня все работает в такой конфигурации. А с правами на файлы и их
> содержимым проблем нет?

нет.
IMHO, проблема в скриптах в /etc/net/scripts
Если для эксперимента заменить всё в этой директории из etcnet из 5.1, то всё
вроде как работает.

> rpm -V etcnet что говорит?
ничего
------- Comment #3 From 2011-10-07 13:54:55 -------
Проверил сегодня на Кентавре rc2 - ничего не изменилось, ошибка всё еще
присутствует и всё так же неприятна.
------- Comment #4 From 2011-10-07 14:20:49 -------
Покажите вывод команд:
# grep IPTABLES_SYNTAX_DIR /etc/net -R
# rpm -qa --qf='[%{name}\n]' '*etcnet*' | xargs -- rpm -V
# md5sum /etc/net/ifaces/default/fw/iptables/syntax
------- Comment #5 From 2011-10-07 15:28:22 -------
(В ответ на комментарий №4)
> Покажите вывод команд:
> # grep IPTABLES_SYNTAX_DIR /etc/net -R
/etc/net/scripts/contrib/efw:                                   export
IPTABLES_SYNTAX_DIR="$cfwdir"
/etc/net/scripts/config-fw:                                
IPTABLES_SYNTAX_DIR="$cfwdir"

> # rpm -qa --qf='[%{name}\n]' '*etcnet*' | xargs -- rpm -V
ничего

> # md5sum /etc/net/ifaces/default/fw/iptables/syntax
60a28f81f57465e5ce590d7d9370a7b0  /etc/net/ifaces/default/fw/iptables/syntax
------- Comment #6 From 2012-12-19 16:30:48 -------
Created an attachment (id=5675) [details]
Патч, исправляющий ошибку

$ rpmquery etcnet
etcnet-0.9.10-alt8

данный патч устраняет ошибку (проверял только на iptables)
------- Comment #7 From 2014-12-01 17:49:21 -------
fixed in etcnet-0.9.10-alt13